Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.maryanovsky.gwtutils.client.iphone.ui.touch.gestures.pinch
Class HandlesAllPinchEvents

    java.lang.Object
      com.maryanovsky.gwtutils.client.iphone.ui.touch.gestures.pinch.HandlesAllPinchEvents

All Implemented Interfaces:
  EventHandler, PinchCancelHandler, PinchChangeHandler, PinchEndHandler, PinchStartHandler

    public abstract class HandlesAllPinchEvents

extends Object
implements PinchStartHandler, PinchChangeHandler, PinchEndHandler, PinchCancelHandler

Receiver used to handle all pinch events.

Author:
  Maryanovsky Alexander

Constructor Summary
`HandlesAllPinchEvents()`

Method Summary
`HandlerRegistration` | `handle(HasAllPinchHandlers source)` Convenience method to handle all pinch events from a source.
`static
`<H extends PinchStartHandler & PinchChangeHandler & PinchEndHandler & PinchCancelHandler> HandlerRegistration`
` | `handle(HasAllPinchHandlers source, H receiver)` Convenience method to handle all pinch events from a source.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.maryanovsky.gwtutils.client.iphone.ui.touch.gestures.pinch.PinchStartHandler
`onPinchStart`

Methods inherited from interface com.maryanovsky.gwtutils.client.iphone.ui.touch.gestures.pinch.PinchChangeHandler
`onPinchChange`

Methods inherited from interface com.maryanovsky.gwtutils.client.iphone.ui.touch.gestures.pinch.PinchEndHandler
`onPinchEnd`

Methods inherited from interface com.maryanovsky.gwtutils.client.iphone.ui.touch.gestures.pinch.PinchCancelHandler
`onPinchCancel`

Constructor Detail

### HandlesAllPinchEvents

    public HandlesAllPinchEvents()

Method Detail

### handle

    public HandlerRegistration handle(HasAllPinchHandlers source)

  Convenience method to handle all pinch events from a source.

### handle

    public static <H extends PinchStartHandler & PinchChangeHandler & PinchEndHandler & PinchCancelHandler> HandlerRegistration handle(HasAllPinchHandlers source,
                                                                                                                                    H receiver)

  Convenience method to handle all pinch events from a source.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD